Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.templates
Enum TorqueSchemaJavaType

    java.lang.Object
      java.lang.Enum<TorqueSchemaJavaType>
          org.apache.torque.templates.TorqueSchemaJavaType

All Implemented Interfaces:
  Serializable, Comparable<TorqueSchemaJavaType>

    public enum TorqueSchemaJavaType

extends Enum<TorqueSchemaJavaType>

The possible values the javaType attribute of the column element. $Id: TorqueSchemaJavaType.java 1331196 2012-04-27 02:56:12Z tfischer $

Enum Constant Summary
`OBJECT` The java attribute will be an object (e.g.
`PRIMITIVE` The java attribute will be a primitive (e.g.

Method Summary
`String` | `getValue()` Returns the value of the javaType attribute.
`String` | `toString()`
`static TorqueSchemaJavaType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TorqueSchemaJavaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OBJECT

    public static final TorqueSchemaJavaType OBJECT

  The java attribute will be an object (e.g. Integer).

### PRIMITIVE

    public static final TorqueSchemaJavaType PRIMITIVE

  The java attribute will be a primitive (e.g. int), if possible.

Method Detail

### values

    public static TorqueSchemaJavaType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TorqueSchemaJavaType c : TorqueSchemaJavaType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TorqueSchemaJavaType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public String getValue()

  Returns the value of the javaType attribute.

  Returns:
    the value of the javaType attribute, not null.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<TorqueSchemaJavaType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.